<script>
import axios from '../axios'
export default {
    props: {
        selectedItem: {
            type: Object,
            default: ''
        },
        action: {
            type: Number,
            default: 1
        }
    },
    data() {
        return {
            data: [],
            orders: [],
            loading: true,
            step: this.$route.params.tab,
            isEdit: false,
            hasError: {
                editProfile: null
            }
        }
    },
    mounted() {
        this.getData();
    },
    methods: {
        getData() {
            axios.get('/api/cart/my').then(({data}) => {
                data.forEach(i => {
                    this.data.push(JSON.parse(i.item))
                })
                this.loading = false
            })
            axios.get('/api/orders/my').then(({data}) => {
                data.forEach(i => {
                    let item = JSON.parse(i.item);
                    item.payment_link = i.payment_link
                    this.orders.push(item)
                })
            })
        },
        selectItem(item) {
            this.$emit('selectedItem', item);
            this.$emit('action', 2);
        },
        pay(price, item) {
            axios.post('/api/payment/buy', {
                price: price,
                item: item,
            }).then(({data}) => {
                this.getData();
                window.open(data)
            })
        },
        openLink(link) {
            window.open(link)
        },
        formatPrice(price) {
            return Math.round(fx(price).from("RUB").to("EUR"))
        },
        myOrders() {

        },
    }
}
</script>

<template>
    <div class="orders">
        <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade show active" id="all" role="tabpanel" aria-labelledby="all-tab">
                <div class="orders__list" v-if="step === 'cart'">
                    <template v-if="loading">
                        <template v-for="item in 10">
                            <div class="orders__item is-loading orders__flights">
                                <div class="orders__flights--top">
                                    <div class="orders__flights--left">
                                        <div class="orders__flights--info">
                                            <div class="orders__flights--name">
                                                <span class="skeleton" style="width: 300px"></span>
                                            </div>
                                            <div class="orders__flights--text">
                                                <span class="skeleton"></span>
                                            </div>
                                        </div>
                                        <div class="orders__flights--airlines">
                                            <span> <span class="skeleton"></span></span>
                                        </div>
                                    </div>
                                    <div class="orders__flights--right">
                                        <div class="orders__flights--price"><span class="skeleton"
                                                                                  style="height: 40px"></span></div>
                                        <div class="orders__flights--more">
                                            <span class="skeleton"></span>
                                            <div class="check"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="orders__flights--way">
                                    <div class="way">
                                        <div class="way__left">
                                            <div class="way__item from">
                                                <div class="way__item--time">
                                                    <span> <span class="skeleton"></span></span>
                                                    <span class="skeleton"></span>
                                                </div>
                                                <div class="way__item--country">
                                                    <span> <span class="skeleton"></span></span>
                                                    <span class="skeleton"></span>
                                                </div>
                                            </div>
                                            <div class="way__item">
                                                <div class="way__item--time">
                                                    <span> <span class="skeleton"></span></span>
                                                    <span class="skeleton"></span>
                                                </div>
                                                <div class="way__item--country">
                                                    <span> <span class="skeleton"></span></span>
                                                    <span class="skeleton"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="way__right">
                                            <div class="favourite">
                                                <img src="../img/icons/favourite.svg" alt="favourite">
                                            </div>
                                            <div class="way__button">
                                                <button class="cart">
                                                    <img src="../img/icons/cart.svg" alt="cart">
                                                </button>
                                                <button class="btn">Choose</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </template>
                    </template>
                    <template v-else>
                        <template v-for="item in data">
                            <div class="orders__item orders__flights">
                                <div class="orders__flights--top">
                                    <div class="orders__flights--left">
                                        <div class="orders__flights--info">
                                            <div class="orders__flights--name">
                                                {{ item.depCity.title }} - {{ item.arriveCity.title }}
                                            </div>
                                            <div class="orders__flights--text">
                                                {{ item.duration.flight.hour }} h, {{ item.duration.flight.minute }} min
                                                on the way
                                            </div>
                                        </div>
                                        <div class="orders__flights--airlines">
                                            <img src="../img/images/airlines.png" alt="airlines">
                                            <span>{{ item.provider.supplier.title }}</span>
                                        </div>
                                    </div>
                                    <div class="orders__flights--right">
                                        <div class="orders__flights--price">
                                            <button class="cart">
                                                <img src="../img/icons/cart-disable.svg" alt="cart">
                                            </button>
                                            {{ item.price }} €
                                        </div>
                                        <div class="orders__flights--more">
                                            Buggage <span>+50 €</span>
                                            <div class="check"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="orders__flights--way">
                                    <div class="way">
                                        <div class="way__left">
                                            <div class="way__item from">
                                                <div class="way__item--time">
                                                    <span>{{ item.depTime }}</span>
                                                    {{ item.depDate }}
                                                </div>
                                                <div class="way__item--country">
                                                    <span>{{ item.depCity.title }}</span>
                                                    {{ item.depCity.code }}
                                                </div>
                                            </div>
                                            <div class="way__item">
                                                <div class="way__item--time">
                                                    <span>{{ item.arriveTime }}</span>
                                                    {{ item.arriveDate }}
                                                </div>
                                                <div class="way__item--country">
                                                    <span>{{ item.arriveCity.title }}</span>
                                                    {{ item.arriveCity.code }}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="way__right">
                                            <div class="favourite">
                                                <img src="../img/icons/favourite.svg" alt="favourite">
                                            </div>
                                            <div class="way__button">
                                                <button class="cart">
                                                    <img src="../img/icons/cart-disable.svg" alt="cart-disable">
                                                </button>
                                                <button class="btn" @click="selectItem(item)">Choose</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </template>
                    </template>

                </div>
                <div class="orders__list" v-if="step === 'orders'">
                    <template v-for="item in orders">
                        <div class="orders__item orders__flights">
                            <div class="orders__flights--top">
                                <div class="orders__flights--left">
                                    <div class="orders__flights--info">
                                        <div class="orders__flights--name">
                                            {{ item.depCity.title }} - {{ item.arriveCity.title }}
                                        </div>
                                        <div class="orders__flights--text">
                                            {{ item.duration.flight.hour }} h, {{ item.duration.flight.minute }} min on
                                            the way
                                        </div>
                                    </div>
                                    <div class="orders__flights--airlines">
                                        <img src="../img/images/airlines.png" alt="airlines">
                                        <span>{{ item.provider.supplier.title }}</span>
                                    </div>
                                </div>
                                <div class="orders__flights--right">
                                    <div class="orders__flights--price">
                                        <button class="cart">
                                            <img src="../img/icons/cart-disable.svg" alt="cart">
                                        </button>
                                        {{ item.price }} €
                                    </div>
                                    <div class="orders__flights--more">
                                        Buggage <span>+50 €</span>
                                        <div class="check"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="orders__flights--way">
                                <div class="way">
                                    <div class="way__left">
                                        <div class="way__item from">
                                            <div class="way__item--time">
                                                <span>{{ item.depTime }}</span>
                                                {{ item.depDate }}
                                            </div>
                                            <div class="way__item--country">
                                                <span>{{ item.depCity.title }}</span>
                                                {{ item.depCity.code }}
                                            </div>
                                        </div>
                                        <div class="way__item">
                                            <div class="way__item--time">
                                                <span>{{ item.arriveTime }}</span>
                                                {{ item.arriveDate }}
                                            </div>
                                            <div class="way__item--country">
                                                <span>{{ item.arriveCity.title }}</span>
                                                {{ item.arriveCity.code }}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="way__right">
                                        <div class="favourite">
                                            <img src="../img/icons/favourite.svg" alt="favourite">
                                        </div>
                                        <div class="way__button">
                                            <button class="cart">
                                                <img src="../img/icons/cart-disable.svg" alt="cart-disable">
                                            </button>
                                            <button class="btn" @click="openLink(window.open(item.payment_link))">
                                                Payment Link
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </template>
                </div>
            </div>
            <div class="tab-pane fade" id="all" role="tabpanel" aria-labelledby="all-tab">
                <div class="all__list"></div>
            </div>
            <div class="tab-pane fade" id="flights" role="tabpanel" aria-labelledby="flights-tab">
                <div class="orders__list">
                    <template v-for="item in data">
                        <div class="orders__item orders__flights">
                            <div class="orders__flights--top">
                                <div class="orders__flights--left">
                                    <div class="orders__flights--info">
                                        <div class="orders__flights--name">
                                            {{ item.depCity.title }} - {{ item.arriveCity.title }}
                                        </div>
                                        <div class="orders__flights--text">
                                            {{ item.duration.flight.hour }} h, {{ item.duration.flight.minute }} min on
                                            the way
                                        </div>
                                    </div>
                                    <div class="orders__flights--airlines">
                                        <img src="../img/images/airlines.png" alt="airlines">
                                        <span>{{ item.provider.supplier.title }}</span>
                                    </div>
                                </div>
                                <div class="orders__flights--right">
                                    <div class="orders__flights--price">
                                        <button class="cart">
                                            <img src="../img/icons/cart-disable.svg" alt="cart">
                                        </button>
                                        {{ formatPrice(item.price) }} €
                                    </div>
                                    <div class="orders__flights--more">
                                        Baggage <span>+50 €</span>
                                        <div class="check"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="orders__flights--way">
                                <div class="way">
                                    <div class="way__left">
                                        <div class="way__item from">
                                            <div class="way__item--time">
                                                <span>{{ item.depTime }}</span>
                                                {{ item.depDate }}
                                            </div>
                                            <div class="way__item--country">
                                                <span>{{ item.depCity.title }}</span>
                                                {{ item.depCity.code }}
                                            </div>
                                        </div>
                                        <div class="way__item">
                                            <div class="way__item--time">
                                                <span>{{ item.arriveTime }}</span>
                                                {{ item.arriveDate }}
                                            </div>
                                            <div class="way__item--country">
                                                <span>{{ item.arriveCity.title }}</span>
                                                {{ item.arriveCity.code }}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="way__right">
                                        <div class="favourite">
                                            <img src="../img/icons/favourite.svg" alt="favourite">
                                        </div>
                                        <div class="way__button">
                                            <button class="cart">
                                                <img src="../img/icons/cart-disable.svg" alt="cart-disable">
                                            </button>
                                            <button class="btn" @click="pay(item.price)">Choose</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </template>
                </div>
            </div>
            <div class="tab-pane fade" id="hotels" role="tabpanel" aria-labelledby="hotels-tab">
                <div class="orders__list"></div>
            </div>
        </div>
    </div>
</template>

<style scoped>

</style>
